Subject: Re: Bug#3253: Pine over-encodes files (came from Bug#932)

From: [email-masked]
Date: 14 Jun 1996 20:45:12 -0000

Juergen Menden:
> > well, before you close this bug, can you please tell me what
> > stopps us from changeing this behaviour in our diff file?
 
Dale Scheetz:
> I assume you mean modify the source to change the behavior? There are two
> reasons for not doing this. First, it would create a version of Pine that
> was vastly different than all others versions in existance. This would not
> fix the problem of recieving such mail, as all the other versions of Pine
> would still have this behavior. Second, just how would the feature be
> crippled? Remove the attachement facility entirely? If not, how does one
> determine whether mime encoding should occur? Must the message be 7 bit
> clean?

I'm going to ignore the issue of not fixing the bug because other
people will still be using buggy software.

The best option I can see would be to provide a new option (attach document
as text).  If PINE currently has an "attach as text" option, which really
uses quoted-printable, that option should be relabeled "attach as
quoted-printable".  Any documentation on this option should warn that
some other version of pine have this semantics problem.  [It's
probably not a good idea to get too specific here, because the
official maintainers are free to pick up on the idea if they decide
it's a good one.]

-- 
Raul